// packages/ui/react-ui-syntax-highlighter/src/SyntaxHighlighter.tsx
import React from "react";
import NativeSyntaxHighlighter from "react-syntax-highlighter/dist/esm/light-async";
import styleDark from "react-syntax-highlighter/dist/esm/styles/hljs/a11y-dark";
import styleLight from "react-syntax-highlighter/dist/esm/styles/hljs/a11y-light";
import { useThemeContext } from "@dxos/react-ui";
import { mx } from "@dxos/react-ui-theme";
var zeroWidthSpace = "\u200B";
var SyntaxHighlighter = ({ classNames, fallback = zeroWidthSpace, children, ...props }) => {
  const { themeMode } = useThemeContext();
  return /* @__PURE__ */ React.createElement(NativeSyntaxHighlighter, {
    className: mx("w-full", classNames),
    style: themeMode === "dark" ? styleDark : styleLight,
    ...props
  }, children || fallback);
};
export {
  SyntaxHighlighter
};
//# sourceMappingURL=index.mjs.map
